#ifndef PLANE3D_H
#define PLANE3D_H

#include "Vector3D.h"

class Plane3D
{
public:
    Plane3D();

    void set(const Vector3D& va, const Vector3D& vb, const Vector3D& vc);
    float getSignedDistance(float x, float y, float z) const;
    
private:
    float a = 1.0f;
    float b = 1.0f;
    float c = 1.0f;
    float d = 1.0f;
};

#endif